import { http } from '@/utils/http/axios';

/**
 * @description: 操作日志列表
 */
export function getOperLogList(params?) {
  return http.request({
    url: '/oper/log/page',
    method: 'GET',
    params,
  });
}

/**
 * @description: 根据ID获取详情
 */
export function getOperLogDetail(id) {
  return http.request({
    url: '/oper/log/detail/' + id,
    method: 'get',
  });
}

/**
 * @description: 删除操作日志
 */
export function operLogDelete(id) {
  return http.request({
    url: '/oper/log/delete/' + id,
    method: 'DELETE',
  });
}

/**
 * @description: 批量删除操作日志
 */
export function operLogBatchDelete(data: any) {
  return http.request({
    url: '/oper/log/batchDelete',
    method: 'DELETE',
    data,
  });
}
